#
# spec file for package pidgin-embeddedvideo
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   embeddedvideo
%define _pidgin_plugindir %(pkg-config --variable plugindir pidgin)
Name:           pidgin-embeddedvideo
Version:        1.2
Release:        13.3
Summary:        Pidgin plugin to watch videos directly into your Pidgin conversation
License:        GPL-3.0+
Group:          Productivity/Networking/Instant Messenger
Url:            https://github.com/stefanistrate/pidgin-embeddedvideo
Source:         https://github.com/stefanistrate/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  libcurl-devel
BuildRequires:  libwebkit-devel
BuildRequires:  pidgin-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Pidgin Embedded Video is a GTK+ plugin for the Pidgin instant
messaging client. The purpose of this plugin is to provide a faster
way to watch videos while chatting with your friends. No more
additional browser windows! It transforms a simple conversation
into a much more attractive and interesting experience.

%package -n pidgin-plugin-%{_name}
Summary:        Pidgin plugin to watch videos directly into your Pidgin conversation
Group:          Productivity/Networking/Instant Messenger
Recommends:     flash-player
Provides:       %{name} = %{version}
%requires_ge    pidgin

%description -n pidgin-plugin-%{_name}
Pidgin Embedded Video is a GTK+ plugin for the Pidgin instant
messaging client. The purpose of this plugin is to provide a faster
way to watch videos while chatting with your friends. No more
additional browser windows! It transforms a simple conversation
into a much more attractive and interesting experience.

%prep
%setup -q

%build
export PLUGINDIR=%{_pidgin_plugindir}
%configure
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%files -n pidgin-plugin-%{_name}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_pidgin_plugindir}/%{_name}.so

%changelog
* Fri Dec 16 2016 sor.alexei@meowr.ru
- Require Pidgin of the exact or greater version.
* Sat May 30 2015 sor.alexei@meowr.ru
- Update URL's.
- Correct license: it's GPLv3+.
- Require an exact version of Pidgin to ensure ABI compatibility.
* Sat Sep 22 2012 nmo.marques@gmail.com
- Update to version 1.2:
  + Added support for Youtube short URLs
  + Removed support for Google Video (service not available any
    more) and Yahoo! Video (service inconsistent when generating
    the embedding code)
  + Updated regexes and embedding codes for all websites
  + Solved a few bugs
  + Updated license from GPLv2 to GPLv3
- Change License tag to GPL-3.0, following upstream.
- Define _plugindir based on pidgin.pc and export it as PLUGINDIR
  for configure.
- Drop the _version defines: it's not used.
* Tue Sep 21 2010 badshah400@gmail.com
- Created subpackage pidgin-plugin-embeddedvideo which contains all
  required files
- Spec file cleanup
  + Remove libglib Buildrequires, as it is not required
  + Corrected license tag to GPLv2+ instead of GPLv2
  + Included the AUTHORS file from source in the %%doc section
* Tue Sep  7 2010 badshah400@gmail.com
- Initial package (version 1.1.2)
